<?php
session_start();
require 'mysql_connect.php';

// Ensure user is logged in and is an admin
if (!isset($_SESSION['username']) || $_SESSION['is_admin'] == 0) {
    header("Location: login_form.php");
    exit();
}

// Fetch all users
$query = "SELECT id, username, email, firstname, lastname FROM users";
// Execute the query and store the result.
// Reference: https://www.php.net/manual/en/mysqli.query.php
$result = $conn->query($query);

// Fetch total number of users
$count_query = "SELECT COUNT(*) as total_users FROM users";
// Execute the count query.
// Reference: https://www.php.net/manual/en/mysqli.query.php
$count_result = $conn->query($count_query);
// Fetch the count value as an associative array.
// Reference for fetch_assoc: https://www.php.net/manual/en/mysqli-result.fetch-assoc.php
$total_users = $count_result->fetch_assoc()['total_users'];
?>

<!DOCTYPE html>
<html>
<head>
    <title>Admin Page</title>
</head>
<body>
    <h1>Welcome! Admin <?php echo htmlspecialchars($_SESSION['username']); ?></h1>
    <p><strong>This Page is only for Administrators to view.</strong></p>
    <table border="1">
        <tr>
            <th>ID</th>
            <th>Username</th>
            <th>Email</th>
            <th>First Name</th>
            <th>Last Name</th>
        </tr>
        <?php while ($row = $result->fetch_assoc()): ?>
        <tr>
            <td><?php echo htmlspecialchars($row['id']); ?></td>
            <td><?php echo htmlspecialchars($row['username']); ?></td>
            <td><?php echo htmlspecialchars($row['email']); ?></td>
            <td><?php echo htmlspecialchars($row['firstname']); ?></td>
            <td><?php echo htmlspecialchars($row['lastname']); ?></td>
        </tr>
        <?php endwhile; ?>
    </table>

    <p>The total number of registered users in the database is <strong><?php echo $total_users; ?></strong>.</p>

    
    
   <form action="logout.php" method="post">
        <button type="submit">Log Out</button>
    </form>
</body>
</html>
